Package Details: rtl8723bu-git-dkms 260-1

Git Clone URL: https://aur.archlinux.org/rtl8723bu-git-dkms.git (read-only, click to copy)
Package Base: rtl8723bu-git-dkms
Description: Driver for RTL8723BU DKMS version
Upstream URL: https://github.com/lwfinger/rtl8723bu
Keywords: 8723bu rtl8723bu
Licenses: GPL
Conflicts: rtl8723bu-git
Provides: rtl8723bu
Submitter: dini
Maintainer: dini
Last Packager: dini
Votes: 4
Popularity: 0.000000
First Submitted: 2017-08-18 06:53 (UTC)
Last Updated: 2022-05-23 16:57 (UTC)

Pinned Comments

dini commented on 2018-12-26 00:38 (UTC)

If a build error occurs: Downgrading both elfutils and libelf to 0.174-1 (+ adding them to IgnorePkg) and then upgrading linux, linux-headers, etc. worked for me. After rebooting, the driver compiled just fine.

Latest Comments

FabioLolix commented on 2021-08-11 16:57 (UTC)

provide and conflicts seems aren't synced between pkgbuild and .srcinfo, please change to provides=('rtl8723bu') conflicts=('rtl8723bu')

FabioLolix commented on 2021-08-11 16:52 (UTC)

Hello,

  • Maintainer is missing in the pkgbuild
  • The name need to be rtl8723bu-dkms-git, since -git is always a suffix
  • the pkgver is in part wrong, need to be printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"

https://wiki.archlinux.org/title/VCS_package_guidelines#The_pkgver()_function

curdy commented on 2020-05-01 13:57 (UTC)

Configurando linux56-rtl8723bu... modprobe: FATAL: Module 8723bu not found. Instalando rtl8723bu-git-dkms (240-1)... Configurando rtl8723bu-git-dkms...

Creating symlink /var/lib/dkms/rtl8723bu/240/source -> /usr/src/rtl8723bu-240

DKMS: add completed. Error! echo Erro ao configurar Your kernel headers for kernel 5.6.7-1-MANJARO cannot be found at /usr/lib/modules/5.6.7-1-MANJARO/build or /usr/lib/modules/5.6.7-1-MANJARO/source. You can use the --kernelsourcedir option to tell DKMS where it's located. Erro: comando não executado corretamente Rodando ganchos pós-transacionais... Arming ConditionNeedsUpdate... Updating module dependencies... Install DKMS modules ==> Unable to install module rtl8723bu/240 for kernel 5.6.7-1-MANJARO: Missing kernel headers. Transação finalizada com êxito.

dini commented on 2018-12-26 00:38 (UTC)

If a build error occurs: Downgrading both elfutils and libelf to 0.174-1 (+ adding them to IgnorePkg) and then upgrading linux, linux-headers, etc. worked for me. After rebooting, the driver compiled just fine.

dini commented on 2017-09-16 18:37 (UTC)

thx

dimich commented on 2017-09-16 16:43 (UTC)

Unable to build driver for kernel diffenent than currently loaded. Patch: diff --git a/dkms.conf b/dkms.conf index 14c33b0..884c99c 100644 --- a/dkms.conf +++ b/dkms.conf @@ -2,7 +2,7 @@ PACKAGE_VERSION="@PKGVER@" PACKAGE_NAME="@_PKGBASE@" -MAKE[0]="CONFIG_RTL8723BU=m make M=${dkms_tree}/${PACKAGE_NAME}/${PACKAGE_VERSION}/build modules" +MAKE[0]="CONFIG_RTL8723BU=m make M=${dkms_tree}/${PACKAGE_NAME}/${PACKAGE_VERSION}/build KVER=$kernelver modules" AUTOINSTALL=yes BUILT_MODULE_NAME[0]="@_PKGBASE@" DEST_MODULE_LOCATION[0]="/kernel/drivers/net/wireless"